//
//  LinearProgressView2.m
//  CALayerAnimationsExample
//
//  Created by Matthew Houlden on 27/01/2017.
//  Copyright © 2017 Airsource. All rights reserved.
//

#import "LinearProgressView2.h"
#import "LinearProgressLayer2.h"

@implementation LinearProgressView2

- (id)initWithCoder:(NSCoder *)aDecoder
{
    self = [super initWithCoder:aDecoder];
    if (self)
    {
        self.layer.contentsScale = [UIScreen mainScreen].scale;
    }
    return self;
}

+ (Class)layerClass
{
    return [LinearProgressLayer2 class];
}

- (void)setProgress:(CGFloat)progress
{
    if (progress < 0.f)
    {
        progress = 0.f;
    }
    else if (progress > 100.f)
    {
        progress = 100.f;
    }
    ((LinearProgressLayer2 *) self.layer).progress = progress;
}

- (CGFloat)progress
{
    return ((LinearProgressLayer2 *) self.layer).progress;
}

@end
