//
//  LinearProgressView3.m
//  CALayerAnimationsExample
//
//  Created by Matthew Houlden on 27/01/2017.
//  Copyright © 2017 Airsource. All rights reserved.
//

#import "LinearProgressView3.h"
#import "LinearProgressLayer3.h"

@implementation LinearProgressView3

- (id)initWithCoder:(NSCoder *)aDecoder
{
    self = [super initWithCoder:aDecoder];
    if (self)
    {
        self.layer.contentsScale = [UIScreen mainScreen].scale;
    }
    return self;
}

+ (Class)layerClass
{
    return [LinearProgressLayer3 class];
}

- (void)setProgress:(CGFloat)progress
{
    if (progress < 0.f)
    {
        progress = 0.f;
    }
    else if (progress > 100.f)
    {
        progress = 100.f;
    }
    ((LinearProgressLayer3 *) self.layer).progress = progress;
}

- (CGFloat)progress
{
    return ((LinearProgressLayer3 *) self.layer).progress;
}

- (void)setProgressTintColor:(UIColor *)progressTintColor
{
    ((LinearProgressLayer3 *) self.layer).progressTintColor = progressTintColor;
}

- (UIColor *)progressTintColor
{
    return ((LinearProgressLayer3 *) self.layer).progressTintColor;
}

- (void)setTrackTintColor:(UIColor *)trackTintColor
{
    ((LinearProgressLayer3 *) self.layer).trackTintColor = trackTintColor;
}

- (UIColor *)trackTintColor
{
    return ((LinearProgressLayer3 *) self.layer).trackTintColor;
}

@end
